@ECHO OFF

REM  FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf
REM
REM  Dieses Batchfile demonstriert, wie man FENV.EXE benutzen kann.
REM  Sie knnen aber gerne auch nderungen vornehmen.
REM  Der Source-Code FENV.PAS ist dabei.

REM  Sie sollten FENV.EXE mit Pfad aufrufen (z.B. C:\FDIR\FENV.EXE) !!
FENV.EXE

IF ERRORLEVEL = 5 GOTO FEHLER     ; Wert, der nicht auftreten drfte

IF ERRORLEVEL = 4 GOTO KEINE      ; weder FDIR noch FDIRSIK existieren
IF ERRORLEVEL = 3 GOTO BEIDE      ; FDIR und FDIRSIK existieren
IF ERRORLEVEL = 2 GOTO FDIRSIK    ; nur FDIRSIK existiert
IF ERRORLEVEL = 1 GOTO FDIR       ; nur FDIR existiert

IF ERRORLEVEL = 0 GOTO FEHLER     ; Wert, der nicht auftreten drfte


:FDIR
ECHO.
ECHO  ͻ
ECHO   FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf 
ECHO                                                     
ECHO       Schalte die Umgebungsvariable FDIR ab !!      
ECHO  ͼ
ECHO.

SET FDIRSIK=%FDIR%
SET FDIR=

GOTO Ende


:FDIRSIK
ECHO.
ECHO  ͻ
ECHO   FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf 
ECHO                                                     
ECHO   Schalte die Umgebungsvariable FDIR wieder ein !!  
ECHO  ͼ
ECHO.


SET FDIR=%FDIRSIK%
SET FDIRSIK=

GOTO Ende


:BEIDE
ECHO.
ECHO  ͻ
ECHO      FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf    
ECHO                                                           
ECHO   Es existieren FDIR und FDIRSIK als Umgebungsvariable !! 
ECHO   Lsche FDIRSIK und benenne FDIR zu FDIRSIK um !!        
ECHO  ͼ
ECHO.

SET FDIRSIK=%FDIR%
SET FDIR=

GOTO Ende


:KEINE
ECHO.
ECHO  ͻ
ECHO   FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf 
ECHO                                                     
ECHO   Es wurde weder FDIR noch FDIRSIK gesetzt !!       
ECHO   Ein Umbenennen ist nicht mglich !!               
ECHO  ͼ
ECHO.

GOTO Ende


:FEHLER
ECHO.
ECHO  ͻ
ECHO   FCHANGE.BAT (C)opyright 1991-92 by Alexander Wolf 
ECHO                                                     
ECHO   Fehler in der ERRORLEVEL-Auswertung !!            
ECHO   Ein Umsetzen der Variablen ist nicht mglich !!   
ECHO  ͼ
ECHO.

GOTO Ende

:Ende
